All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class DeploymentService

    com.sas.services.deployment.DeploymentService

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public final class DeploymentService

Value object used represent a service which can be deployed.

Since:
  9.2

Constructor Summary
`DeploymentService(com.sas.metadata.remote.SoftwareComponent softwareComponent, com.sas.metadata.remote.Tree tree, com.sas.metadata.remote.ServiceComponent serviceComponent, java.util.Properties properties)` Creates a value object representing a service that can be deployed.

Method Summary
`com.sas.metadata.remote.ServiceComponent` | `getServiceComponent()` Gets the service.
`ServiceFactoryInterface` | `getServiceFactory()` Gets the service's factory.
`com.sas.metadata.remote.SoftwareComponent` | `getSoftwareComponent()` Gets the services deployment.
`com.sas.metadata.remote.Tree` | `getTree()` Gets the service's deployment group.
`boolean` | `isEnabled()` Determines whether this service is enabled for deployment.

Constructor Detail

### DeploymentService

    public DeploymentService(com.sas.metadata.remote.SoftwareComponent softwareComponent,
                             com.sas.metadata.remote.Tree tree,
                             com.sas.metadata.remote.ServiceComponent serviceComponent,
                             java.util.Properties properties)
                      throws ServiceException

  Creates a value object representing a service that can be deployed.

  Parameters:
    `softwareComponent` - Service's deployment.
    `tree` - Service's deployment group.
    `serviceComponent` - Service.
    `properties` - Configuration properties describing the services deployment.
  Throws:
    `ServiceException` - if an invalid parameter is specified.

Method Detail

### getSoftwareComponent

    public com.sas.metadata.remote.SoftwareComponent getSoftwareComponent()

  Gets the services deployment.

  Returns:
    The services deployment to which this service is associated.

### getTree

    public com.sas.metadata.remote.Tree getTree()

  Gets the service's deployment group.

  Returns:
    Service's deployment group.

### getServiceComponent

    public com.sas.metadata.remote.ServiceComponent getServiceComponent()

  Gets the service.

  Returns:
    Service.

### getServiceFactory

    public ServiceFactoryInterface getServiceFactory()

  Gets the service's factory.

  Returns:
    Service factory.

### isEnabled

    public boolean isEnabled()
                      throws com.sas.metadata.remote.MdException

  Determines whether this service is enabled for deployment.

  Returns:
    `true` if this service is enabled.
  Throws:
    `com.sas.metadata.remote.MdException` - if unable to access metadata.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.